<?php
/**
 * MessagingStatItemTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the model.
 */

namespace text-magic;

/**
 * MessagingStatItemTest Class Doc Comment
 *
 * @category    Class
 * @description MessagingStatItem
 * @package     text-magic
 * @author      Swagger Codegen team
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class MessagingStatItemTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "MessagingStatItem"
     */
    public function testMessagingStatItem()
    {
    }

    /**
     * Test attribute "replyRate"
     */
    public function testPropertyReplyRate()
    {
    }

    /**
     * Test attribute "date"
     */
    public function testPropertyDate()
    {
    }

    /**
     * Test attribute "deliveryRate"
     */
    public function testPropertyDeliveryRate()
    {
    }

    /**
     * Test attribute "costs"
     */
    public function testPropertyCosts()
    {
    }

    /**
     * Test attribute "messagesReceived"
     */
    public function testPropertyMessagesReceived()
    {
    }

    /**
     * Test attribute "messagesSentDelivered"
     */
    public function testPropertyMessagesSentDelivered()
    {
    }

    /**
     * Test attribute "messagesSentAccepted"
     */
    public function testPropertyMessagesSentAccepted()
    {
    }

    /**
     * Test attribute "messagesSentBuffered"
     */
    public function testPropertyMessagesSentBuffered()
    {
    }

    /**
     * Test attribute "messagesSentFailed"
     */
    public function testPropertyMessagesSentFailed()
    {
    }

    /**
     * Test attribute "messagesSentRejected"
     */
    public function testPropertyMessagesSentRejected()
    {
    }

    /**
     * Test attribute "messagesSentParts"
     */
    public function testPropertyMessagesSentParts()
    {
    }
}
